MarketDataSample2.MarketDataHandlerImpl (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.sample

## Class MarketDataSample2.MarketDataHandlerImpl

- java.lang.Object
- - com.marketfactory.api.AbstractMFHandler
  - - com.marketfactory.sample.MarketDataSample2.MarketDataHandlerImpl

- All Implemented Interfaces:
    MFHandler
  Enclosing class:
    MarketDataSample2

      public static class MarketDataSample2.MarketDataHandlerImpl
      extends AbstractMFHandler

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMarketData(MarketView marketView, MFClient client)` Market Data Event: Called on new market-data updates.
    `void` | `onStart(MFClient client)` Called right after we start dispatching events, once per call to client.run().
    `void` | `onSubscriptionEvent(SubscriptionEvent subscriptionEvent, MFClient client)` Subscription Event: Called when the status of the subscription changes.

    - ### Methods inherited from class com.marketfactory.api.AbstractMFHandler

      `onBatchComplete, onConnect, onDateRollover, onDisconnect, onDropCopy, onEventReport, onHeartbeat, onOrderCanceled, onOrderCancelRejected, onOrderDone, onOrderReceived, onOrderRejected, onOrderSubmitted, onReplayDone, onStop, onTradeCapture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### onMarketData

          public void onMarketData(MarketView marketView,
                                   MFClient client)

      Description copied from class: `AbstractMFHandler`
      Market Data Event: Called on new market-data updates.
      Specified by:
        `onMarketData` in interface `MFHandler`
      Overrides:
        `onMarketData` in class `AbstractMFHandler`
      Parameters:
        `marketView` - -- the event parameter
        `client` - -- the target client

    - #### onStart

          public void onStart(MFClient client)

      Description copied from class: `AbstractMFHandler`
      Called right after we start dispatching events, once per call to client.run().
      Specified by:
        `onStart` in interface `MFHandler`
      Overrides:
        `onStart` in class `AbstractMFHandler`
      Parameters:
        `client` - -- the target client

    - #### onSubscriptionEvent

          public void onSubscriptionEvent(SubscriptionEvent subscriptionEvent,
                                          MFClient client)

      Description copied from class: `AbstractMFHandler`
      Subscription Event: Called when the status of the subscription changes.
      Specified by:
        `onSubscriptionEvent` in interface `MFHandler`
      Overrides:
        `onSubscriptionEvent` in class `AbstractMFHandler`
      Parameters:
        `subscriptionEvent` - -- the event parameter
        `client` - -- the target client